View Issue Details

IDProjectCategoryView StatusLast Update
0005545GNUnetwebpagepublic2019-02-28 11:17
Reporterng0Assigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005545: new website: common/base.j2: meta description output is wrong
Descriptionexpected output (I assume):
    <meta name="description" content="GNUnet's website" />

actual output:
    <meta name="description" content="_project_title" />


This is defined in common/base.j2 as:
    <meta name="description" content="{{ _('_project_title') }}" />
TagsNo tags attached.

Activities

catonano

2019-02-10 08:13

reporter   ~0013641

what is _project_title supposed to be ?

A method on some instance ?

A stand alone procedure ?

Some static variable ?

Where is it defined ?

Sorry I don't know the first thing about Jinja

catonano

2019-02-10 08:21

reporter   ~0013642

if I search it with grep

$ grep -nr --exclude="*.html" "_project_title"

the only meaningful occurrence I find is in common/base.j2

Isn't it defined (or assigned) anywhere ?

ng0

2019-02-10 22:21

developer   ~0013648

It's up to you to figure out.
I have no idea where this was heading, as I was told to adopt the Taler repo.

Imo, make it simply a descriptive description, like git.taler:www.git has in that file.

ng0

2019-02-11 19:33

developer   ~0013654

Please update with "GNU's framework for secure p2p networking".

Christian Grothoff

2019-02-12 08:24

manager   ~0013664

Fixed in 5ebcd8b..da35f14

Issue History

Date Modified Username Field Change
2019-02-06 15:08 ng0 New Issue
2019-02-10 08:13 catonano Note Added: 0013641
2019-02-10 08:21 catonano Note Added: 0013642
2019-02-10 22:21 ng0 Note Added: 0013648
2019-02-10 22:22 ng0 Status new => confirmed
2019-02-11 19:33 ng0 Note Added: 0013654
2019-02-12 08:24 Christian Grothoff Assigned To => Christian Grothoff
2019-02-12 08:24 Christian Grothoff Status confirmed => resolved
2019-02-12 08:24 Christian Grothoff Resolution open => fixed
2019-02-12 08:24 Christian Grothoff Fixed in Version => 0.11.0
2019-02-12 08:24 Christian Grothoff Note Added: 0013664
2019-02-12 08:24 Christian Grothoff Product Version => SVN HEAD
2019-02-28 11:17 Christian Grothoff Status resolved => closed